# delimit ;
clear;
set more off;
log using  "/Users/carterjt2/Dropbox/MilitarySpendingConsequences/FinalSubmission/Replication/AdditionalDiagnostics/stationarity.log", replace;


*****************************************************************************;
*Author: Heather Ondercin                                                   *;
*Date: April 12, 2018                 										*;
*Purpose: Test for stationarity in levels and in growth rates				*;
*****************************************************************************;

use "/Users/carterjt2/Dropbox/MilitarySpendingConsequences/FinalSubmission/Replication/Data/MilitarySpendingConsequences_Quarterly.dta"; 

*limit the data set because of the financial crisis*; 
keep if year < 2008;


*****Levels******;
*Models that are not commented out are the prefered model. 

*debt*;
*dfuller debtconstant, regress lags(0);
*dfuller debtconstant, regress lags(1);
dfuller debtconstant, regress lags(2);

*gdp*;
*dfuller gdpconstant, regress;
*dfuller gdpconstant, lags(1) regress;
dfuller gdpconstant, lags(2) regress;

*military*;
dfuller millitaryconstant, regress;
*dfuller millitaryconstant, regress lags(1);

*Money*;
*dfuller moneyconstant, regress;
*dfuller moneyconstant, regress lags(1);
dfuller moneyconstant, regress lags(2);
*dfuller moneyconstant, regress lags(3);

*social benifit*; 
*dfuller socialbenconstant, regress;
*dfuller socialbenconstant, regress lags(1);
dfuller socialbenconstant, regress lags(2);
*dfuller socialbenconstant, regress lags(3);

*taxes*; 
dfuller taxesconstant, regress;
*dfuller taxesconstant, regress lags(1);

*********************Growth Rates**************************;

*debt*;
*dfuller gr_debtcon, regress;
dfuller gr_debtcon, regress lags(1);


*gdp*;
*dfuller gr_gdpcon, regress;
dfuller gr_gdpcon, regress lags(1);

*military*;
*dfuller gr_milcon, regress;
*dfuller gr_milcon, regress lags(1);
dfuller gr_milcon, regress lags(2);


*money*;
*dfuller gr_moneycon, regress;
*dfuller gr_moneycon, regress lags(1);
*dfuller gr_moneycon, regress lags(2);
*dfuller gr_moneycon, regress lags(3);
dfuller gr_moneycon, regress lags(4);


*social benifit*;
*dfuller gr_socialben, regress;
*dfuller gr_socialben, regress lags(1);
dfuller gr_socialben, regress lags(2);


*taxes*; 
*dfuller gr_taxcon, regress;
*dfuller gr_taxcon, regress lags(1);
dfuller gr_taxcon, regress lags(2);






