# delimit ;
clear;
set more off;
log using  "/Users/carterjt2/Dropbox/MilitarySpendingConsequences/FinalSubmission/Replication/AdditionalDiagnostics/strucutral_breaks.log", replace;


*****************************************************************************;
*Author: Heather Ondercin                                                   *;
*Date: April 19, 2018                 										*;
*Purpose: Test for structural breaks in levels and in growth rates				*;
*****************************************************************************;

use "/Users/carterjt2/Dropbox/MilitarySpendingConsequences/FinalSubmission/Replication/Data/MilitarySpendingConsequencesD2_Quarterly_filled.dta";

drop if year > 2007;
drop if year < 1951; 


regress debtconstant millitaryconstant taxesconstant moneyconstant socialbenconstant gdpconstant;

estat sbsingle, breakvars();
estat sbsingle, breakvars(millitaryconstant) trim(10) ;
estat sbsingle, breakvars(taxesconstant) trim(10) ;
estat sbsingle, breakvars(moneyconstant) trim(10) ;
estat sbsingle, breakvars(socialbenconstant) trim(10) ;
estat sbsingle, breakvars(gdpconstant) trim(10) ;


*Model 1*;
regress gr_debtcon gr_milcon gr_taxcon gr_moneycon gr_gdpcon gr_socialben;
estat sbsingle, breakvars(gr_milcon) trim(10) ;
estat sbsingle, breakvars(gr_taxcon) trim(10) ;
estat sbsingle, breakvars(gr_moneycon) trim(10) ;
estat sbsingle, breakvars(gr_gdpcon) trim(10) ;
estat sbsingle, breakvars(gr_socialben) trim(10) ;

*Gold Standard****;
estat sbknown, break(tq(1985q1)) breakvars(gr_milcon);
estat sbknown, break(tq(1985q1)) breakvars(gr_taxcon);
estat sbknown, break(tq(1985q1)) breakvars(gr_moneycon);
estat sbknown, break(tq(1985q1)) breakvars(gr_gdpcon);
estat sbknown, break(tq(1985q1)) breakvars(gr_socialben);


*Cold War****;
estat sbknown, break(tq(2005q2)) breakvars(gr_milcon);
estat sbknown, break(tq(2005q2)) breakvars(gr_taxcon);
estat sbknown, break(tq(2005q2)) breakvars(gr_moneycon);
estat sbknown, break(tq(2005q2)) breakvars(gr_gdpcon);
estat sbknown, break(tq(2005q2)) breakvars(gr_socialben);


*September 11th****;
estat sbknown, break(tq(2015q1)) breakvars(gr_milcon);
estat sbknown, break(tq(2015q1)) breakvars(gr_taxcon);
estat sbknown, break(tq(2015q1)) breakvars(gr_moneycon);
estat sbknown, break(tq(2015q1)) breakvars(gr_gdpcon);
estat sbknown, break(tq(2015q1)) breakvars(gr_socialben);




*Model 2*;
regress gr_milcon gr_taxcon gr_moneycon gr_gdpcon gr_socialben gr_debtcon;
estat sbsingle, breakvars(gr_debtcon) trim(10) ;
estat sbsingle, breakvars(gr_taxcon) trim(10) ;
estat sbsingle, breakvars(gr_moneycon) trim(10) ;
estat sbsingle, breakvars(gr_gdpcon) trim(10) ;
estat sbsingle, breakvars(gr_socialben) trim(10) ;


*Gold Standard****;
estat sbknown, break(tq(1985q1)) breakvars(gr_debtcon);
estat sbknown, break(tq(1985q1)) breakvars(gr_taxcon);
estat sbknown, break(tq(1985q1)) breakvars(gr_moneycon);
estat sbknown, break(tq(1985q1)) breakvars(gr_gdpcon);
estat sbknown, break(tq(1985q1)) breakvars(gr_socialben);


*Cold War****;
estat sbknown, break(tq(2005q2)) breakvars(gr_debtcon);
estat sbknown, break(tq(2005q2)) breakvars(gr_taxcon);
estat sbknown, break(tq(2005q2)) breakvars(gr_moneycon);
estat sbknown, break(tq(2005q2)) breakvars(gr_gdpcon);
estat sbknown, break(tq(2005q2)) breakvars(gr_socialben);


*September 11th****;
estat sbknown, break(tq(2015q1)) breakvars(gr_debtcon);
estat sbknown, break(tq(2015q1)) breakvars(gr_taxcon);
estat sbknown, break(tq(2015q1)) breakvars(gr_moneycon);
estat sbknown, break(tq(2015q1)) breakvars(gr_gdpcon);
estat sbknown, break(tq(2015q1)) breakvars(gr_socialben);


*Model 3*;
regress gr_taxcon gr_moneycon gr_gdpcon gr_socialben gr_debtcon gr_milcon;
estat sbsingle, breakvars(gr_debtcon) trim(10) ;
estat sbsingle, breakvars(gr_milcon) trim(10) ;
estat sbsingle, breakvars(gr_moneycon) trim(10) ;
estat sbsingle, breakvars(gr_gdpcon) trim(10) ;
estat sbsingle, breakvars(gr_socialben) trim(10) ;


*Gold Standardh****;
estat sbknown, break(tq(1985q1)) breakvars(gr_debtcon);
estat sbknown, break(tq(1985q1)) breakvars(gr_milcon);
estat sbknown, break(tq(1985q1)) breakvars(gr_moneycon);
estat sbknown, break(tq(1985q1)) breakvars(gr_gdpcon);
estat sbknown, break(tq(1985q1)) breakvars(gr_socialben);


*Cold War****;
estat sbknown, break(tq(2005q2)) breakvars(gr_debtcon);
estat sbknown, break(tq(2005q2)) breakvars(gr_milcon);
estat sbknown, break(tq(2005q2)) breakvars(gr_moneycon);
estat sbknown, break(tq(2005q2)) breakvars(gr_gdpcon);
estat sbknown, break(tq(2005q2)) breakvars(gr_socialben);

*September 11th****;
estat sbknown, break(tq(2015q1)) breakvars(gr_debtcon);
estat sbknown, break(tq(2015q1)) breakvars(gr_milcon);
estat sbknown, break(tq(2015q1)) breakvars(gr_moneycon);
estat sbknown, break(tq(2015q1)) breakvars(gr_gdpcon);
estat sbknown, break(tq(2015q1)) breakvars(gr_socialben);

*Model 4*;
regress gr_moneycon gr_gdpcon gr_socialben gr_debtcon gr_milcon gr_taxcon;
estat sbsingle, breakvars(gr_debtcon) trim(10) ;
estat sbsingle, breakvars(gr_milcon) trim(10) ;
estat sbsingle, breakvars(gr_taxcon) trim(10) ;
estat sbsingle, breakvars(gr_gdpcon) trim(10) ;
estat sbsingle, breakvars(gr_socialben) trim(10) ;

*Gold Standard****;
estat sbknown, break(tq(1985q1)) breakvars(gr_debtcon);
estat sbknown, break(tq(1985q1)) breakvars(gr_milcon);
estat sbknown, break(tq(1985q1)) breakvars(gr_taxcon);
estat sbknown, break(tq(1985q1)) breakvars(gr_gdpcon);
estat sbknown, break(tq(1985q1)) breakvars(gr_socialben);


*End Cold War****;
estat sbknown, break(tq(2005q2)) breakvars(gr_debtcon);
estat sbknown, break(tq(2005q2)) breakvars(gr_milcon);
estat sbknown, break(tq(2005q2)) breakvars(gr_taxcon);
estat sbknown, break(tq(2005q2)) breakvars(gr_gdpcon);
estat sbknown, break(tq(2005q2)) breakvars(gr_socialben);


*September 11th****;
estat sbknown, break(tq(2015q1)) breakvars(gr_debtcon);
estat sbknown, break(tq(2015q1)) breakvars(gr_milcon);
estat sbknown, break(tq(2015q1)) breakvars(gr_taxcon);
estat sbknown, break(tq(2015q1)) breakvars(gr_gdpcon);
estat sbknown, break(tq(2015q1)) breakvars(gr_socialben);



*Model 5*;
regress gr_gdpcon gr_socialben gr_debtcon gr_milcon gr_taxcon gr_moneycon;
estat sbsingle, breakvars(gr_debtcon) trim(10) ;
estat sbsingle, breakvars(gr_milcon) trim(10) ;
estat sbsingle, breakvars(gr_taxcon) trim(10) ;
estat sbsingle, breakvars(gr_moneycon) trim(10) ;
estat sbsingle, breakvars(gr_socialben) trim(10) ;

*Gold Standard****;
estat sbknown, break(tq(1985q1)) breakvars(gr_debtcon);
estat sbknown, break(tq(1985q1)) breakvars(gr_milcon);
estat sbknown, break(tq(1985q1)) breakvars(gr_taxcon);
estat sbknown, break(tq(1985q1)) breakvars(gr_moneycon);
estat sbknown, break(tq(1985q1)) breakvars(gr_socialben);

*Cold War****;
estat sbknown, break(tq(2005q2)) breakvars(gr_debtcon);
estat sbknown, break(tq(2005q2)) breakvars(gr_milcon);
estat sbknown, break(tq(2005q2)) breakvars(gr_taxcon);
estat sbknown, break(tq(2005q2)) breakvars(gr_moneycon);
estat sbknown, break(tq(2005q2)) breakvars(gr_socialben);

*September 11th****;
estat sbknown, break(tq(2015q1)) breakvars(gr_debtcon);
estat sbknown, break(tq(2015q1)) breakvars(gr_milcon);
estat sbknown, break(tq(2015q1)) breakvars(gr_taxcon);
estat sbknown, break(tq(2015q1)) breakvars(gr_moneycon);
estat sbknown, break(tq(2015q1)) breakvars(gr_socialben);

*Model 6*;
regress gr_socialben gr_debtcon gr_milcon gr_taxcon gr_moneycon gr_gdpcon;
estat sbsingle, breakvars(gr_debtcon) trim(10) ;
estat sbsingle, breakvars(gr_milcon) trim(10) ;
estat sbsingle, breakvars(gr_taxcon) trim(10) ;
estat sbsingle, breakvars(gr_moneycon) trim(10) ;
estat sbsingle, breakvars(gr_gdpcon) trim(10) ;

*Gold Standard****;
estat sbknown, break(tq(1985q1)) breakvars(gr_debtcon);
estat sbknown, break(tq(1985q1)) breakvars(gr_milcon);
estat sbknown, break(tq(1985q1)) breakvars(gr_taxcon);
estat sbknown, break(tq(1985q1)) breakvars(gr_moneycon);
estat sbknown, break(tq(1985q1)) breakvars(gr_gdpcon);

*Cold War****;
estat sbknown, break(tq(2005q2)) breakvars(gr_debtcon);
estat sbknown, break(tq(2005q2)) breakvars(gr_milcon);
estat sbknown, break(tq(2005q2)) breakvars(gr_taxcon);
estat sbknown, break(tq(2005q2)) breakvars(gr_moneycon);
estat sbknown, break(tq(2005q2)) breakvars(gr_gdpcon);

*September 11th****;
estat sbknown, break(tq(2015q1)) breakvars(gr_debtcon);
estat sbknown, break(tq(2015q1)) breakvars(gr_milcon);
estat sbknown, break(tq(2015q1)) breakvars(gr_taxcon);
estat sbknown, break(tq(2015q1)) breakvars(gr_moneycon);
estat sbknown, break(tq(2015q1)) breakvars(gr_gdpcon);
