######################################################
#
#   FEVD Figures for Appendix
#   1/8/18
#######################################################


library (foreign)
library(haven)


## Data ##

JohnsonGraphing <- read_dta("/Users/carterjt2/Dropbox/MilitarySpendingConsequences/FinalSubmission/Replication/Oatley_specification/Model1JohnsonGraphingVAR1C.dta")
ReaganGraphing <- read_dta("/Users/carterjt2/Dropbox/MilitarySpendingConsequences/FinalSubmission/Replication/Oatley_specification/Model1ReaganGraphingVAR1C.dta")
TrumanGraphing <- read_dta("/Users/carterjt2/Dropbox/MilitarySpendingConsequences/FinalSubmission/Replication/Oatley_specification/Model1TrumanGraphingVAR1C.dta")
KennedyGraphing <- read_dta("/Users/carterjt2/Dropbox/MilitarySpendingConsequences/FinalSubmission/Replication/Oatley_specification/Model1KennedyGraphingVAR1C.dta")




## Military

JohnsonMilitaryGraphing <- subset(JohnsonGraphing,JohnsonGraphing$response=="gr_milcon")
ReaganMilitaryGraphing <- subset(ReaganGraphing,ReaganGraphing$response=="gr_milcon")
TrumanMilitaryGraphing <- subset(TrumanGraphing,TrumanGraphing$response=="gr_milcon")
KennedyMilitaryGraphing <- subset(KennedyGraphing,KennedyGraphing$response=="gr_milcon")

## GDP

JohnsonGDPGraphing <- subset(JohnsonGraphing,JohnsonGraphing$response=="gr_gdpcon")
ReaganGDPGraphing <- subset(ReaganGraphing,ReaganGraphing$response=="gr_gdpcon")
TrumanGDPGraphing <- subset(TrumanGraphing,TrumanGraphing$response=="gr_gdpcon")
KennedyGDPGraphing <- subset(KennedyGraphing,KennedyGraphing$response=="gr_gdpcon")

## Social Spending

JohnsonSocialGraphing <- subset(JohnsonGraphing,JohnsonGraphing$response=="gr_socialben")
ReaganSocialGraphing <- subset(ReaganGraphing,ReaganGraphing$response=="gr_socialben")
TrumanSocialGraphing <- subset(TrumanGraphing,TrumanGraphing$response=="gr_socialben")
KennedySocialGraphing <- subset(KennedyGraphing,KennedyGraphing$response=="gr_socialben")


## Taxes

JohnsonTaxGraphing <- subset(JohnsonGraphing,JohnsonGraphing$response=="gr_taxcon")
ReaganTaxGraphing <- subset(ReaganGraphing,ReaganGraphing$response=="gr_taxcon")
TrumanTaxGraphing <- subset(TrumanGraphing,TrumanGraphing$response=="gr_taxcon")
KennedyTaxGraphing <- subset(KennedyGraphing,KennedyGraphing$response=="gr_taxcon")


## Debt

JohnsonDebtGraphing <- subset(JohnsonGraphing,JohnsonGraphing$response=="gr_debtcon")
ReaganDebtGraphing <- subset(ReaganGraphing,ReaganGraphing$response=="gr_debtcon")
TrumanDebtGraphing <- subset(TrumanGraphing,TrumanGraphing$response=="gr_debtcon")
KennedyDebtGraphing <- subset(KennedyGraphing,KennedyGraphing$response=="gr_debtcon")


## Money

JohnsonMoneyGraphing <- subset(JohnsonGraphing,JohnsonGraphing$response=="gr_moneycon")
ReaganMoneyGraphing <- subset(ReaganGraphing,ReaganGraphing$response=="gr_moneycon")
TrumanMoneyGraphing <- subset(TrumanGraphing,TrumanGraphing$response=="gr_moneycon")
KennedyMoneyGraphing <- subset(KennedyGraphing,KennedyGraphing$response=="gr_moneycon")





#############################
##  Figures  
#############################






## Tax 
op <- par(mfrow = c(1,4), omi=c(1.25,.5,.5,0))
{

    
par(mai=c(0.4,0.2,0.2,0.2))
plot(c(0,20),c(-.05,1),type="n",yaxt="n",xaxt="n", xlab="", ylab="")
lines(JohnsonTaxGraphing$step,JohnsonTaxGraphing$fevd,type="l",lty=2,col="black")
polygon(x=c(JohnsonTaxGraphing$step, rev(JohnsonTaxGraphing$step)),
        y = c(JohnsonTaxGraphing$fevdlo, rev(JohnsonTaxGraphing$fevdhi)),
        col=rgb(.25,.25,.25,.25), border=NA)
mtext("Quarter", side=1,line=3,cex=1)
axis(1, at=c(0,4,8,12,16,20))
axis(2, at=c(0,.5,1))
mtext("Scenario 1", side=3,line=1,cex=1)


par(mai=c(0.4,0.2,0.2,0.2))
plot(c(0,20),c(-.05,1),type="n",yaxt="n",xaxt="n", xlab="", ylab="")
lines(KennedyTaxGraphing$step,KennedyTaxGraphing$fevd,type="l",lty=2,col="black")
polygon(x=c(KennedyTaxGraphing$step, rev(KennedyTaxGraphing$step)),
        y = c(KennedyTaxGraphing$fevdlo, rev(KennedyTaxGraphing$fevdhi)),
        col=rgb(.25,.25,.25,.25), border=NA)
mtext("Quarter", side=1,line=3,cex=1)
axis(1, at=c(0,4,8,12,16,20))
axis(2, at=c(0,.5,1))
mtext("Scenario 2", side=3,line=1,cex=1)





par(mai=c(0.4,0.2,0.2,0.2))
plot(c(0,20),c(-.05,1),type="n",yaxt="n",xaxt="n", xlab="", ylab="")
lines(TrumanTaxGraphing$step,TrumanTaxGraphing$fevd,type="l",lty=2,col="black")
polygon(x=c(TrumanTaxGraphing$step, rev(TrumanTaxGraphing$step)),
        y = c(TrumanTaxGraphing$fevdlo, rev(TrumanTaxGraphing$fevdhi)),
        col=rgb(.25,.25,.25,.25), border=NA)
mtext("Quarter", side=1,line=3,cex=1)
axis(1, at=c(0,4,8,12,16,20))
axis(2, at=c(0,.5,1))
mtext("Scenario 3", side=3,line=1,cex=1)

    
    
par(mai=c(0.4,0.2,0.2,0.2))
plot(c(0,20),c(-.05,1),type="n",yaxt="n",xaxt="n", xlab="", ylab="")
lines(ReaganTaxGraphing$step,ReaganTaxGraphing$fevd,type="l",lty=2,col="black")
polygon(x=c(ReaganTaxGraphing$step, rev(ReaganTaxGraphing$step)),
        y = c(ReaganTaxGraphing$fevdlo, rev(ReaganTaxGraphing$fevdhi)),
        col=rgb(.25,.25,.25,.25), border=NA)
mtext("Quarter", side=1,line=3,cex=1)
axis(1, at=c(0,4,8,12,16,20))
axis(2, at=c(0,.5,1))
mtext("Scenario 4", side=3,line=1,cex=1)




    
}

par(op)

op <- par(usr=c(0,1,0,1), # Reset the coordinates
          xpd=NA)

legend(0.325,0.05, c("Forecast Error Variance Decomposition"), bty="n", cex=1,col=c("black"),
        lty=c(2),ncol=1)





## Debt 
op <- par(mfrow = c(1,4), omi=c(1.25,.5,.5,0))
{



par(mai=c(0.4,0.2,0.2,0.2))
plot(c(0,20),c(-.05,1),type="n",yaxt="n",xaxt="n", xlab="", ylab="")
lines(JohnsonDebtGraphing$step,JohnsonDebtGraphing$fevd,type="l",lty=2,col="black")
polygon(x=c(JohnsonDebtGraphing$step, rev(JohnsonDebtGraphing$step)),
        y = c(JohnsonDebtGraphing$fevdlo, rev(JohnsonDebtGraphing$fevdhi)),
        col=rgb(.25,.25,.25,.25), border=NA)
mtext("Quarter", side=1,line=3,cex=1)
axis(1, at=c(0,4,8,12,16,20))
axis(2, at=c(0,.5,1))
mtext("Scenario 1", side=3,line=1,cex=1)

par(mai=c(0.4,0.2,0.2,0.2))
plot(c(0,20),c(-.05,1),type="n",yaxt="n",xaxt="n", xlab="", ylab="")
lines(KennedyDebtGraphing$step,KennedyDebtGraphing$fevd,type="l",lty=2,col="black")
polygon(x=c(KennedyDebtGraphing$step, rev(KennedyDebtGraphing$step)),
        y = c(KennedyDebtGraphing$fevdlo, rev(KennedyDebtGraphing$fevdhi)),
        col=rgb(.25,.25,.25,.25), border=NA)
mtext("Quarter", side=1,line=3,cex=1)
axis(1, at=c(0,4,8,12,16,20))
axis(2, at=c(0,.5,1))
mtext("Scenario 2", side=3,line=1,cex=1)


    

par(mai=c(0.4,0.2,0.2,0.2))
plot(c(0,20),c(-.05,1),type="n",yaxt="n",xaxt="n", xlab="", ylab="")
lines(TrumanDebtGraphing$step,TrumanDebtGraphing$fevd,type="l",lty=2,col="black")
polygon(x=c(TrumanDebtGraphing$step, rev(TrumanDebtGraphing$step)),
        y = c(TrumanDebtGraphing$fevdlo, rev(TrumanDebtGraphing$fevdhi)),
        col=rgb(.25,.25,.25,.25), border=NA)
mtext("Quarter", side=1,line=3,cex=1)
axis(1, at=c(0,4,8,12,16,20))
axis(2, at=c(0,.5,1))
mtext("Scenario 3", side=3,line=1,cex=1)

    

    
par(mai=c(0.4,0.2,0.2,0.2))
plot(c(0,20),c(-.05,1),type="n",yaxt="n",xaxt="n", xlab="", ylab="")
lines(ReaganDebtGraphing$step,ReaganDebtGraphing$fevd,type="l",lty=2,col="black")
polygon(x=c(ReaganDebtGraphing$step, rev(ReaganDebtGraphing$step)),
        y = c(ReaganDebtGraphing$fevdlo, rev(ReaganDebtGraphing$fevdhi)),
        col=rgb(.25,.25,.25,.25), border=NA)
mtext("Quarter", side=1,line=3,cex=1)
axis(1, at=c(0,4,8,12,16,20))
axis(2, at=c(0,.5,1))
mtext("Scenario 4", side=3,line=1,cex=1)




    
}

par(op)

op <- par(usr=c(0,1,0,1), # Reset the coordinates
          xpd=NA)

legend(0.325,0.05, c("Forecast Error Variance Decomposition"), bty="n", cex=1,col=c("black"),
        lty=c(2),ncol=1)




## Money 
op <- par(mfrow = c(1,4), omi=c(1.25,.5,.5,0))
{
par(mai=c(0.4,0.2,0.2,0.2))
plot(c(0,20),c(-.05,1),type="n",yaxt="n",xaxt="n", xlab="", ylab="")
lines(JohnsonMoneyGraphing$step,JohnsonMoneyGraphing$fevd,type="l",lty=2,col="black")
polygon(x=c(JohnsonMoneyGraphing$step, rev(JohnsonMoneyGraphing$step)),
        y = c(JohnsonMoneyGraphing$fevdlo, rev(JohnsonMoneyGraphing$fevdhi)),
        col=rgb(.25,.25,.25,.25), border=NA)
mtext("Quarter", side=1,line=3,cex=1)
axis(1, at=c(0,4,8,12,16,20))
axis(2, at=c(0,.5,1))
mtext("Scenario 1", side=3,line=1,cex=1)



par(mai=c(0.4,0.2,0.2,0.2))
plot(c(0,20),c(-.05,1),type="n",yaxt="n",xaxt="n", xlab="", ylab="")
lines(KennedyMoneyGraphing$step,KennedyMoneyGraphing$fevd,type="l",lty=2,col="black")
polygon(x=c(KennedyMoneyGraphing$step, rev(KennedyMoneyGraphing$step)),
        y = c(KennedyMoneyGraphing$fevdlo, rev(KennedyMoneyGraphing$fevdhi)),
        col=rgb(.25,.25,.25,.25), border=NA)
mtext("Quarter", side=1,line=3,cex=1)
axis(1, at=c(0,4,8,12,16,20))
axis(2, at=c(0,.5,1))
mtext("Scenario 2", side=3,line=1,cex=1)


    


par(mai=c(0.4,0.2,0.2,0.2))
plot(c(0,20),c(-.05,1),type="n",yaxt="n",xaxt="n", xlab="", ylab="")
lines(TrumanMoneyGraphing$step,TrumanMoneyGraphing$fevd,type="l",lty=2,col="black")
polygon(x=c(TrumanMoneyGraphing$step, rev(TrumanMoneyGraphing$step)),
        y = c(TrumanMoneyGraphing$fevdlo, rev(TrumanMoneyGraphing$fevdhi)),
        col=rgb(.25,.25,.25,.25), border=NA)
mtext("Quarter", side=1,line=3,cex=1)
axis(1, at=c(0,4,8,12,16,20))
axis(2, at=c(0,.5,1))
mtext("Scenario 3", side=3,line=1,cex=1)

    

    
par(mai=c(0.4,0.2,0.2,0.2))
plot(c(0,20),c(-.05,1),type="n",yaxt="n",xaxt="n", xlab="", ylab="")
lines(ReaganMoneyGraphing$step,ReaganMoneyGraphing$fevd,type="l",lty=2,col="black")
polygon(x=c(ReaganMoneyGraphing$step, rev(ReaganMoneyGraphing$step)),
        y = c(ReaganMoneyGraphing$fevdlo, rev(ReaganMoneyGraphing$fevdhi)),
        col=rgb(.25,.25,.25,.25), border=NA)
mtext("Quarter", side=1,line=3,cex=1)
axis(1, at=c(0,4,8,12,16,20))
axis(2, at=c(0,.5,1))
mtext("Scenario 4", side=3,line=1,cex=1)




    
}

par(op)

op <- par(usr=c(0,1,0,1), # Reset the coordinates
          xpd=NA)

legend(0.325,0.05, c("Forecast Error Variance Decomposition"), bty="n", cex=1,col=c("black"),
        lty=c(2),ncol=1)

