######################################################
#
#  IRF Figures 
#   5/5/17
#######################################################

library (foreign)
library(haven)


## Data ##

JohnsonGraphing <- read_dta("/Users/carterjt2/Dropbox/MilitarySpendingConsequences/FinalSubmission/Replication/Oatley_specification/Model1JohnsonGraphingVAR1C.dta")
ReaganGraphing <- read_dta("/Users/carterjt2/Dropbox/MilitarySpendingConsequences/FinalSubmission/Replication/Oatley_specification/Model1ReaganGraphingVAR1C.dta")
TrumanGraphing <- read_dta("/Users/carterjt2/Dropbox/MilitarySpendingConsequences/FinalSubmission/Replication/Oatley_specification/Model1TrumanGraphingVAR1C.dta")
KennedyGraphing <- read_dta("/Users/carterjt2/Dropbox/MilitarySpendingConsequences/FinalSubmission/Replication/Oatley_specification/Model1KennedyGraphingVAR1C.dta")



## Military

JohnsonMilitaryGraphing <- subset(JohnsonGraphing,JohnsonGraphing$response=="gr_milcon")
ReaganMilitaryGraphing <- subset(ReaganGraphing,ReaganGraphing$response=="gr_milcon")
TrumanMilitaryGraphing <- subset(TrumanGraphing,TrumanGraphing$response=="gr_milcon")
KennedyMilitaryGraphing <- subset(KennedyGraphing,KennedyGraphing$response=="gr_milcon")

## GDP

JohnsonGDPGraphing <- subset(JohnsonGraphing,JohnsonGraphing$response=="gr_gdpcon")
ReaganGDPGraphing <- subset(ReaganGraphing,ReaganGraphing$response=="gr_gdpcon")
TrumanGDPGraphing <- subset(TrumanGraphing,TrumanGraphing$response=="gr_gdpcon")
KennedyGDPGraphing <- subset(KennedyGraphing,KennedyGraphing$response=="gr_gdpcon")

## Social Spending

JohnsonSocialGraphing <- subset(JohnsonGraphing,JohnsonGraphing$response=="gr_socialben")
ReaganSocialGraphing <- subset(ReaganGraphing,ReaganGraphing$response=="gr_socialben")
TrumanSocialGraphing <- subset(TrumanGraphing,TrumanGraphing$response=="gr_socialben")
KennedySocialGraphing <- subset(KennedyGraphing,KennedyGraphing$response=="gr_socialben")


## Taxes

JohnsonTaxGraphing <- subset(JohnsonGraphing,JohnsonGraphing$response=="gr_taxcon")
ReaganTaxGraphing <- subset(ReaganGraphing,ReaganGraphing$response=="gr_taxcon")
TrumanTaxGraphing <- subset(TrumanGraphing,TrumanGraphing$response=="gr_taxcon")
KennedyTaxGraphing <- subset(KennedyGraphing,KennedyGraphing$response=="gr_taxcon")


## Debt

JohnsonDebtGraphing <- subset(JohnsonGraphing,JohnsonGraphing$response=="gr_debtcon")
ReaganDebtGraphing <- subset(ReaganGraphing,ReaganGraphing$response=="gr_debtcon")
TrumanDebtGraphing <- subset(TrumanGraphing,TrumanGraphing$response=="gr_debtcon")
KennedyDebtGraphing <- subset(KennedyGraphing,KennedyGraphing$response=="gr_debtcon")


## Money

JohnsonMoneyGraphing <- subset(JohnsonGraphing,JohnsonGraphing$response=="gr_moneycon")
ReaganMoneyGraphing <- subset(ReaganGraphing,ReaganGraphing$response=="gr_moneycon")
TrumanMoneyGraphing <- subset(TrumanGraphing,TrumanGraphing$response=="gr_moneycon")
KennedyMoneyGraphing <- subset(KennedyGraphing,KennedyGraphing$response=="gr_moneycon")



#############################
##  Figures  
#############################





### Taxes

op <- par(mfrow = c(2,4), omi=c(1.25,.5,.5,0))
{



    
par(mai=c(0.4,0.2,0.2,0.2))
plot(c(0,20),c(-5,5),type="n",yaxt="n",xaxt="n", xlab="", ylab="")
lines(JohnsonTaxGraphing$step,JohnsonTaxGraphing$oirf,type="l",lty=1,col="red")
polygon(x=c(JohnsonTaxGraphing$step, rev(JohnsonTaxGraphing$step)),
        y = c(JohnsonTaxGraphing$oirflo, rev(JohnsonTaxGraphing$oirfhi)),
        col=rgb(1,.25,0,.25), border=NA)
#mtext("Quarter", side=1,line=3,cex=1)
axis(1, at=c(0,4,8,12,16,20))
axis(2, at=c(-2,0,2))
abline(h =0, untf = FALSE, col="black")
mtext("Column A: Scenario 1", side=3,line=1,cex=1)


par(mai=c(0.4,0.2,0.2,0.2))
plot(c(0,20),c(-5,5),type="n",yaxt="n",xaxt="n", xlab="", ylab="")
lines(KennedyTaxGraphing$step,KennedyTaxGraphing$oirf,type="l",lty=1,col="red")
polygon(x=c(KennedyTaxGraphing$step, rev(KennedyTaxGraphing$step)),
        y = c(KennedyTaxGraphing$oirflo, rev(KennedyTaxGraphing$oirfhi)),
        col=rgb(1,.25,0,.25), border=NA)
#mtext("Quarter", side=1,line=3,cex=1)
axis(1, at=c(0,4,8,12,16,20))
axis(2, at=c(-2,0,2))
abline(h =0, untf = FALSE, col="black")
mtext("Column B: Scenario 2", side=3,line=1,cex=1)


par(mai=c(0.4,0.2,0.2,0.2))
plot(c(0,20),c(-5,5),type="n",yaxt="n",xaxt="n", xlab="", ylab="")
lines(TrumanTaxGraphing$step,TrumanTaxGraphing$oirf,type="l",lty=1,col="red")
polygon(x=c(TrumanTaxGraphing$step, rev(TrumanTaxGraphing$step)),
        y = c(TrumanTaxGraphing$oirflo, rev(TrumanTaxGraphing$oirfhi)),
        col=rgb(1,.25,0,.25), border=NA)
#mtext("Quarter", side=1,line=3,cex=1)
axis(1, at=c(0,4,8,12,16,20))
axis(2, at=c(-2,0,2))
abline(h =0, untf = FALSE, col="black")
mtext("Column C: Scenario 3", side=3,line=1,cex=1)



    
par(mai=c(0.4,0.2,0.2,0.2))
plot(c(0,20),c(-5,5),type="n",yaxt="n",xaxt="n", xlab="", ylab="")
lines(ReaganTaxGraphing$step,ReaganTaxGraphing$oirf,type="l",lty=1,col="red")
polygon(x=c(ReaganTaxGraphing$step, rev(ReaganTaxGraphing$step)),
        y = c(ReaganTaxGraphing$oirflo, rev(ReaganTaxGraphing$oirfhi)),
        col=rgb(1,.25,0,.25), border=NA)
#mtext("Quarter", side=1,line=3,cex=1)
axis(1, at=c(0,4,8,12,16,20))
axis(2, at=c(-2,0,2))
abline(h =0, untf = FALSE, col="black")
mtext("Column D: Scenario 4", side=3,line=1,cex=1)


       
par(mai=c(0.4,0.2,0.2,0.2))
plot(c(0,20),c(-40,40),type="n",yaxt="n",xaxt="n", xlab="", ylab="")
lines(JohnsonTaxGraphing$step,JohnsonTaxGraphing$coirf,type="l",lty=2,col="blue")
polygon(x=c(JohnsonTaxGraphing$step, rev(JohnsonTaxGraphing$step)),
        y = c(JohnsonTaxGraphing$coirflo, rev(JohnsonTaxGraphing$coirfhi)),
        col=rgb(0,.25,1,.25), border=NA)
mtext("Quarter", side=1,line=3,cex=1)
axis(1, at=c(0,4,8,12,16,20))
axis(2, at=c(-20,0,20))
abline(h =0, untf = FALSE, col="black")



par(mai=c(0.4,0.2,0.2,0.2))
plot(c(0,20),c(-40,40),type="n",yaxt="n",xaxt="n", xlab="", ylab="")
lines(KennedyTaxGraphing$step,KennedyTaxGraphing$coirf,type="l",lty=2,col="blue")
polygon(x=c(KennedyTaxGraphing$step, rev(KennedyTaxGraphing$step)),
        y = c(KennedyTaxGraphing$coirflo, rev(KennedyTaxGraphing$coirfhi)),
        col=rgb(0,.25,1,.25), border=NA)
mtext("Quarter", side=1,line=3,cex=1)
axis(1, at=c(0,4,8,12,16,20))
axis(2, at=c(-20,0,20))
abline(h =0, untf = FALSE, col="black")


 
par(mai=c(0.4,0.2,0.2,0.2))
plot(c(0,20),c(-40,40),type="n",yaxt="n",xaxt="n", xlab="", ylab="")
lines(TrumanTaxGraphing$step,TrumanTaxGraphing$coirf,type="l",lty=2,col="blue")
polygon(x=c(TrumanTaxGraphing$step, rev(TrumanTaxGraphing$step)),
        y = c(TrumanTaxGraphing$coirflo, rev(TrumanTaxGraphing$coirfhi)),
        col=rgb(0,.25,1,.25), border=NA)
mtext("Quarter", side=1,line=3,cex=1)
axis(1, at=c(0,4,8,12,16,20))
axis(2, at=c(-20,0,20))
abline(h =0, untf = FALSE, col="black")


    
par(mai=c(0.4,0.2,0.2,0.2))
plot(c(0,20),c(-40,40),type="n",yaxt="n",xaxt="n", xlab="", ylab="")
lines(ReaganTaxGraphing$step,ReaganTaxGraphing$coirf,type="l",lty=2,col="blue")
polygon(x=c(ReaganTaxGraphing$step, rev(ReaganTaxGraphing$step)),
        y = c(ReaganTaxGraphing$coirflo, rev(ReaganTaxGraphing$coirfhi)),
        col=rgb(0,.25,1,.25), border=NA)
mtext("Quarter", side=1,line=3,cex=1)
axis(1, at=c(0,4,8,12,16,20))
axis(2, at=c(-20,0,20))
abline(h =0, untf = FALSE, col="black")



    
}

par(op)

op <- par(usr=c(0,1,0,1), # Reset the coordinates
          xpd=NA)

legend(0.275,0.05, c("Quarterly Orthogonalized Impulse Response Function", "Cumulative Orthogonalized Impulse Response Function"), bty="n", cex=1,col=c("red","blue"),
        lty=c(1,2),ncol=1)











### Debt

op <- par(mfrow = c(2,4), omi=c(1.25,.5,.5,0))
{



    
par(mai=c(0.4,0.2,0.2,0.2))
plot(c(0,20),c(-5,5),type="n",yaxt="n",xaxt="n", xlab="", ylab="")
lines(JohnsonDebtGraphing$step,JohnsonDebtGraphing$oirf,type="l",lty=1,col="red")
polygon(x=c(JohnsonDebtGraphing$step, rev(JohnsonDebtGraphing$step)),
        y = c(JohnsonDebtGraphing$oirflo, rev(JohnsonDebtGraphing$oirfhi)),
        col=rgb(1,.25,0,.25), border=NA)
#mtext("Quarter", side=1,line=3,cex=1)
axis(1, at=c(0,4,8,12,16,20))
axis(2, at=c(-2,0,2))
abline(h =0, untf = FALSE, col="black")
mtext("Column A: Scenario 1", side=3,line=1,cex=1)




par(mai=c(0.4,0.2,0.2,0.2))
plot(c(0,20),c(-5,5),type="n",yaxt="n",xaxt="n", xlab="", ylab="")
lines(KennedyDebtGraphing$step,KennedyDebtGraphing$oirf,type="l",lty=1,col="red")
polygon(x=c(KennedyDebtGraphing$step, rev(KennedyDebtGraphing$step)),
        y = c(KennedyDebtGraphing$oirflo, rev(KennedyDebtGraphing$oirfhi)),
        col=rgb(1,.25,0,.25), border=NA)
#mtext("Quarter", side=1,line=3,cex=1)
axis(1, at=c(0,4,8,12,16,20))
axis(2, at=c(-2,0,2))
abline(h =0, untf = FALSE, col="black")
mtext("Column B: Scenario 2", side=3,line=1,cex=1)

par(mai=c(0.4,0.2,0.2,0.2))
plot(c(0,20),c(-5,5),type="n",yaxt="n",xaxt="n", xlab="", ylab="")
lines(TrumanDebtGraphing$step,TrumanDebtGraphing$oirf,type="l",lty=1,col="red")
polygon(x=c(TrumanDebtGraphing$step, rev(TrumanDebtGraphing$step)),
        y = c(TrumanDebtGraphing$oirflo, rev(TrumanDebtGraphing$oirfhi)),
        col=rgb(1,.25,0,.25), border=NA)
#mtext("Quarter", side=1,line=3,cex=1)
axis(1, at=c(0,4,8,12,16,20))
axis(2, at=c(-2,0,2))
abline(h =0, untf = FALSE, col="black")
mtext("Column C: Scenario 3", side=3,line=1,cex=1)

    
    
par(mai=c(0.4,0.2,0.2,0.2))
plot(c(0,20),c(-5,5),type="n",yaxt="n",xaxt="n", xlab="", ylab="")
lines(ReaganDebtGraphing$step,ReaganDebtGraphing$oirf,type="l",lty=1,col="red")
polygon(x=c(ReaganDebtGraphing$step, rev(ReaganDebtGraphing$step)),
        y = c(ReaganDebtGraphing$oirflo, rev(ReaganDebtGraphing$oirfhi)),
        col=rgb(1,.25,0,.25), border=NA)
#mtext("Quarter", side=1,line=3,cex=1)
axis(1, at=c(0,4,8,12,16,20))
axis(2, at=c(-2,0,2))
abline(h =0, untf = FALSE, col="black")
mtext("Column D: Scenario 4", side=3,line=1,cex=1)


par(mai=c(0.4,0.2,0.2,0.2))
plot(c(0,20),c(-40,40),type="n",yaxt="n",xaxt="n", xlab="", ylab="")
lines(JohnsonDebtGraphing$step,JohnsonDebtGraphing$coirf,type="l",lty=2,col="blue")
polygon(x=c(JohnsonDebtGraphing$step, rev(JohnsonDebtGraphing$step)),
        y = c(JohnsonDebtGraphing$coirflo, rev(JohnsonDebtGraphing$coirfhi)),
        col=rgb(0,.25,1,.25), border=NA)
mtext("Quarter", side=1,line=3,cex=1)
axis(1, at=c(0,4,8,12,16,20))
axis(2, at=c(-20,0,20))
abline(h =0, untf = FALSE, col="black")


par(mai=c(0.4,0.2,0.2,0.2))
plot(c(0,20),c(-40,40),type="n",yaxt="n",xaxt="n", xlab="", ylab="")
lines(KennedyDebtGraphing$step,KennedyDebtGraphing$coirf,type="l",lty=2,col="blue")
polygon(x=c(KennedyDebtGraphing$step, rev(KennedyDebtGraphing$step)),
        y = c(KennedyDebtGraphing$coirflo, rev(KennedyDebtGraphing$coirfhi)),
        col=rgb(0,.25,1,.25), border=NA)
mtext("Quarter", side=1,line=3,cex=1)
axis(1, at=c(0,4,8,12,16,20))
axis(2, at=c(-20,0,20))
abline(h =0, untf = FALSE, col="black")


    

par(mai=c(0.4,0.2,0.2,0.2))
plot(c(0,20),c(-40,40),type="n",yaxt="n",xaxt="n", xlab="", ylab="")
lines(TrumanDebtGraphing$step,TrumanDebtGraphing$coirf,type="l",lty=2,col="blue")
polygon(x=c(TrumanDebtGraphing$step, rev(TrumanDebtGraphing$step)),
        y = c(TrumanDebtGraphing$coirflo, rev(TrumanDebtGraphing$coirfhi)),
        col=rgb(0,.25,1,.25), border=NA)
mtext("Quarter", side=1,line=3,cex=1)
axis(1, at=c(0,4,8,12,16,20))
axis(2, at=c(-20,0,20))
abline(h =0, untf = FALSE, col="black")

    

    
par(mai=c(0.4,0.2,0.2,0.2))
plot(c(0,20),c(-40,40),type="n",yaxt="n",xaxt="n", xlab="", ylab="")
lines(ReaganDebtGraphing$step,ReaganDebtGraphing$coirf,type="l",lty=2,col="blue")
polygon(x=c(ReaganDebtGraphing$step, rev(ReaganDebtGraphing$step)),
        y = c(ReaganDebtGraphing$coirflo, rev(ReaganDebtGraphing$coirfhi)),
        col=rgb(0,.25,1,.25), border=NA)
mtext("Quarter", side=1,line=3,cex=1)
axis(1, at=c(0,4,8,12,16,20))
axis(2, at=c(-20,0,20))
abline(h =0, untf = FALSE, col="black")



    
}

par(op)

op <- par(usr=c(0,1,0,1), # Reset the coordinates
          xpd=NA)

legend(0.275,0.05, c("Quarterly Orthogonalized Impulse Response Function", "Cumulative Orthogonalized Impulse Response Function"), bty="n", cex=1,col=c("red","blue"),
        lty=c(1,2),ncol=1)






### Money Supply

op <- par(mfrow = c(2,4), omi=c(1.25,.5,.5,0))
{


    
par(mai=c(0.4,0.2,0.2,0.2))
plot(c(0,20),c(-5,5),type="n",yaxt="n",xaxt="n", xlab="", ylab="")
lines(JohnsonMoneyGraphing$step,JohnsonMoneyGraphing$oirf,type="l",lty=1,col="red")
polygon(x=c(JohnsonMoneyGraphing$step, rev(JohnsonMoneyGraphing$step)),
        y = c(JohnsonMoneyGraphing$oirflo, rev(JohnsonMoneyGraphing$oirfhi)),
        col=rgb(1,.25,0,.25), border=NA)
#mtext("Quarter", side=1,line=3,cex=1)
axis(1, at=c(0,4,8,12,16,20))
axis(2, at=c(-2,0,2))
abline(h =0, untf = FALSE, col="black")
mtext("Column A: Scenario 1", side=3,line=1,cex=1)


par(mai=c(0.4,0.2,0.2,0.2))
plot(c(0,20),c(-5,5),type="n",yaxt="n",xaxt="n", xlab="", ylab="")
lines(KennedyMoneyGraphing$step,KennedyMoneyGraphing$oirf,type="l",lty=1,col="red")
polygon(x=c(KennedyMoneyGraphing$step, rev(KennedyMoneyGraphing$step)),
        y = c(KennedyMoneyGraphing$oirflo, rev(KennedyMoneyGraphing$oirfhi)),
        col=rgb(1,.25,0,.25), border=NA)
#mtext("Quarter", side=1,line=3,cex=1)
axis(1, at=c(0,4,8,12,16,20))
axis(2, at=c(-2,0,2))
abline(h =0, untf = FALSE, col="black")
mtext("Column B: Scenario 2", side=3,line=1,cex=1)



par(mai=c(0.4,0.2,0.2,0.2))
plot(c(0,20),c(-5,5),type="n",yaxt="n",xaxt="n", xlab="", ylab="")
lines(TrumanMoneyGraphing$step,TrumanMoneyGraphing$oirf,type="l",lty=1,col="red")
polygon(x=c(TrumanMoneyGraphing$step, rev(TrumanMoneyGraphing$step)),
        y = c(TrumanMoneyGraphing$oirflo, rev(TrumanMoneyGraphing$oirfhi)),
        col=rgb(1,.25,0,.25), border=NA)
#mtext("Quarter", side=1,line=3,cex=1)
axis(1, at=c(0,4,8,12,16,20))
axis(2, at=c(-2,0,2))
abline(h =0, untf = FALSE, col="black")
mtext("Column C: Scenario 3", side=3,line=1,cex=1)

    

    
par(mai=c(0.4,0.2,0.2,0.2))
plot(c(0,20),c(-5,5),type="n",yaxt="n",xaxt="n", xlab="", ylab="")
lines(ReaganMoneyGraphing$step,ReaganMoneyGraphing$oirf,type="l",lty=1,col="red")
polygon(x=c(ReaganMoneyGraphing$step, rev(ReaganMoneyGraphing$step)),
        y = c(ReaganMoneyGraphing$oirflo, rev(ReaganMoneyGraphing$oirfhi)),
        col=rgb(1,.25,0,.25), border=NA)
#mtext("Quarter", side=1,line=3,cex=1)
axis(1, at=c(0,4,8,12,16,20))
axis(2, at=c(-2,0,2))
abline(h =0, untf = FALSE, col="black")
mtext("Column D: Scenario 4", side=3,line=1,cex=1)


par(mai=c(0.4,0.2,0.2,0.2))
plot(c(0,20),c(-40,40),type="n",yaxt="n",xaxt="n", xlab="", ylab="")
lines(JohnsonMoneyGraphing$step,JohnsonMoneyGraphing$coirf,type="l",lty=2,col="blue")
polygon(x=c(JohnsonMoneyGraphing$step, rev(JohnsonMoneyGraphing$step)),
        y = c(JohnsonMoneyGraphing$coirflo, rev(JohnsonMoneyGraphing$coirfhi)),
        col=rgb(0,.25,1,.25), border=NA)
mtext("Quarter", side=1,line=3,cex=1)
axis(1, at=c(0,4,8,12,16,20))
axis(2, at=c(-20,0,20))
abline(h =0, untf = FALSE, col="black")


par(mai=c(0.4,0.2,0.2,0.2))
plot(c(0,20),c(-40,40),type="n",yaxt="n",xaxt="n", xlab="", ylab="")
lines(KennedyMoneyGraphing$step,KennedyMoneyGraphing$coirf,type="l",lty=2,col="blue")
polygon(x=c(KennedyMoneyGraphing$step, rev(KennedyMoneyGraphing$step)),
        y = c(KennedyMoneyGraphing$coirflo, rev(KennedyMoneyGraphing$coirfhi)),
        col=rgb(0,.25,1,.25), border=NA)
mtext("Quarter", side=1,line=3,cex=1)
axis(1, at=c(0,4,8,12,16,20))
axis(2, at=c(-20,0,20))
abline(h =0, untf = FALSE, col="black")


    


par(mai=c(0.4,0.2,0.2,0.2))
plot(c(0,20),c(-40,40),type="n",yaxt="n",xaxt="n", xlab="", ylab="")
lines(TrumanMoneyGraphing$step,TrumanMoneyGraphing$coirf,type="l",lty=2,col="blue")
polygon(x=c(TrumanMoneyGraphing$step, rev(TrumanMoneyGraphing$step)),
        y = c(TrumanMoneyGraphing$coirflo, rev(TrumanMoneyGraphing$coirfhi)),
        col=rgb(0,.25,1,.25), border=NA)
mtext("Quarter", side=1,line=3,cex=1)
axis(1, at=c(0,4,8,12,16,20))
axis(2, at=c(-20,0,20))
abline(h =0, untf = FALSE, col="black")

    
    
par(mai=c(0.4,0.2,0.2,0.2))
plot(c(0,20),c(-40,40),type="n",yaxt="n",xaxt="n", xlab="", ylab="")
lines(ReaganMoneyGraphing$step,ReaganMoneyGraphing$coirf,type="l",lty=2,col="blue")
polygon(x=c(ReaganMoneyGraphing$step, rev(ReaganMoneyGraphing$step)),
        y = c(ReaganMoneyGraphing$coirflo, rev(ReaganMoneyGraphing$coirfhi)),
        col=rgb(0,.25,1,.25), border=NA)
mtext("Quarter", side=1,line=3,cex=1)
axis(1, at=c(0,4,8,12,16,20))
axis(2, at=c(-20,0,20))
abline(h =0, untf = FALSE, col="black")



    
}

par(op)

op <- par(usr=c(0,1,0,1), # Reset the coordinates
          xpd=NA)

legend(0.275,0.05, c("Quarterly Orthogonalized Impulse Response Function", "Cumulative Orthogonalized Impulse Response Function"), bty="n", cex=1,col=c("red","blue"),
        lty=c(1,2),ncol=1)


