
######################################################
#
#   Figures for Paper
#   5/5/17
#######################################################

library (foreign)
library(haven)

## Data ##

JohnsonGraphing <- read_dta("/Users/carterjt2/Dropbox/MilitarySpendingConsequences/FinalSubmission/Replication/MID_specification/Model1JohnsonGraphingVAR1C.dta")
ReaganGraphing <- read_dta("/Users/carterjt2/Dropbox/MilitarySpendingConsequences/FinalSubmission/Replication/MID_specification/Model1ReaganGraphingVAR1C.dta")
TrumanGraphing <- read_dta("/Users/carterjt2/Dropbox/MilitarySpendingConsequences/FinalSubmission/Replication/MID_specification/Model1TrumanGraphingVAR1C.dta")
KennedyGraphing <- read_dta("/Users/carterjt2/Dropbox/MilitarySpendingConsequences/FinalSubmission/Replication/MID_specification/Model1KennedyGraphingVAR1C.dta")



## Military

JohnsonMilitaryGraphing <- subset(JohnsonGraphing,JohnsonGraphing$response=="gr_milcon")
ReaganMilitaryGraphing <- subset(ReaganGraphing,ReaganGraphing$response=="gr_milcon")
TrumanMilitaryGraphing <- subset(TrumanGraphing,TrumanGraphing$response=="gr_milcon")
KennedyMilitaryGraphing <- subset(KennedyGraphing,KennedyGraphing$response=="gr_milcon")

## GDP

JohnsonGDPGraphing <- subset(JohnsonGraphing,JohnsonGraphing$response=="gr_gdpcon")
ReaganGDPGraphing <- subset(ReaganGraphing,ReaganGraphing$response=="gr_gdpcon")
TrumanGDPGraphing <- subset(TrumanGraphing,TrumanGraphing$response=="gr_gdpcon")
KennedyGDPGraphing <- subset(KennedyGraphing,KennedyGraphing$response=="gr_gdpcon")

## Social Spending

JohnsonSocialGraphing <- subset(JohnsonGraphing,JohnsonGraphing$response=="gr_socialben")
ReaganSocialGraphing <- subset(ReaganGraphing,ReaganGraphing$response=="gr_socialben")
TrumanSocialGraphing <- subset(TrumanGraphing,TrumanGraphing$response=="gr_socialben")
KennedySocialGraphing <- subset(KennedyGraphing,KennedyGraphing$response=="gr_socialben")


## Taxes

JohnsonTaxGraphing <- subset(JohnsonGraphing,JohnsonGraphing$response=="gr_taxcon")
ReaganTaxGraphing <- subset(ReaganGraphing,ReaganGraphing$response=="gr_taxcon")
TrumanTaxGraphing <- subset(TrumanGraphing,TrumanGraphing$response=="gr_taxcon")
KennedyTaxGraphing <- subset(KennedyGraphing,KennedyGraphing$response=="gr_taxcon")


## Debt

JohnsonDebtGraphing <- subset(JohnsonGraphing,JohnsonGraphing$response=="gr_debtcon")
ReaganDebtGraphing <- subset(ReaganGraphing,ReaganGraphing$response=="gr_debtcon")
TrumanDebtGraphing <- subset(TrumanGraphing,TrumanGraphing$response=="gr_debtcon")
KennedyDebtGraphing <- subset(KennedyGraphing,KennedyGraphing$response=="gr_debtcon")


## Money

JohnsonMoneyGraphing <- subset(JohnsonGraphing,JohnsonGraphing$response=="gr_moneycon")
ReaganMoneyGraphing <- subset(ReaganGraphing,ReaganGraphing$response=="gr_moneycon")
TrumanMoneyGraphing <- subset(TrumanGraphing,TrumanGraphing$response=="gr_moneycon")
KennedyMoneyGraphing <- subset(KennedyGraphing,KennedyGraphing$response=="gr_moneycon")



#############################
##  Figures  
#############################



### Combined Social Spending Figure

op <- par(mfrow = c(2,4), omi=c(.5,.5,.5,0))
{


par(mai=c(0.4,0.2,0.2,0.2))
plot(c(0,20),c(-2,2),type="n",yaxt="n",xaxt="n", xlab="", ylab="")
lines(JohnsonSocialGraphing$step,JohnsonSocialGraphing$oirf,type="l",lty=1,col="red")
polygon(x=c(JohnsonSocialGraphing$step, rev(JohnsonSocialGraphing$step)),
        y = c(JohnsonSocialGraphing$oirflo, rev(JohnsonSocialGraphing$oirfhi)),
        col=rgb(1,.25,0,.25), border=NA)
#mtext("Quarter", side=1,line=3,cex=1)
axis(1, at=c(0,4,8,12,16,20))
axis(2, at=c(-1,0,1))
abline(h =0, untf = FALSE, col="black")
mtext("Scenario 1", side=3,line=1,cex=1)



par(mai=c(0.4,0.2,0.2,0.2))
plot(c(0,20),c(-2,2),type="n",yaxt="n",xaxt="n", xlab="", ylab="")
lines(KennedySocialGraphing$step,KennedySocialGraphing$oirf,type="l",lty=1,col="red")
polygon(x=c(KennedySocialGraphing$step, rev(KennedySocialGraphing$step)),
        y = c(KennedySocialGraphing$oirflo, rev(KennedySocialGraphing$oirfhi)),
        col=rgb(1,.25,0,.25), border=NA)
#mtext("Quarter", side=1,line=3,cex=1)
axis(1, at=c(0,4,8,12,16,20))
axis(2, at=c(-1,0,1))
abline(h =0, untf = FALSE, col="black")
mtext("Scenario 2", side=3,line=1,cex=1)



par(mai=c(0.4,0.2,0.2,0.2))
plot(c(0,20),c(-2,2),type="n",yaxt="n",xaxt="n", xlab="", ylab="")
lines(TrumanSocialGraphing$step,TrumanSocialGraphing$oirf,type="l",lty=1,col="red")
polygon(x=c(TrumanSocialGraphing$step, rev(TrumanSocialGraphing$step)),
        y = c(TrumanSocialGraphing$oirflo, rev(TrumanSocialGraphing$oirfhi)),
        col=rgb(1,.25,0,.25), border=NA)
#mtext("Quarter", side=1,line=3,cex=1)
axis(1, at=c(0,4,8,12,16,20))
axis(2, at=c(-1,0,1))
abline(h =0, untf = FALSE, col="black")
mtext("Scenario 3", side=3,line=1,cex=1)

        

    
par(mai=c(0.4,0.2,0.2,0.2))
plot(c(0,20),c(-2,2),type="n",yaxt="n",xaxt="n", xlab="", ylab="")
lines(ReaganSocialGraphing$step,ReaganSocialGraphing$oirf,type="l",lty=1,col="red")
polygon(x=c(ReaganSocialGraphing$step, rev(ReaganSocialGraphing$step)),
        y = c(ReaganSocialGraphing$oirflo, rev(ReaganSocialGraphing$oirfhi)),
        col=rgb(1,.25,0,.25), border=NA)
#mtext("Quarter", side=1,line=3,cex=1)
axis(1, at=c(0,4,8,12,16,20))
axis(2, at=c(-1,0,1))
abline(h =0, untf = FALSE, col="black")
mtext("Scenario 4", side=3,line=1,cex=1)


   
par(mai=c(0.4,0.2,0.2,0.2))
plot(c(0,20),c(-20,20),type="n",yaxt="n",xaxt="n", xlab="", ylab="")
lines(JohnsonSocialGraphing$step,JohnsonSocialGraphing$coirf,type="l",lty=2,col="blue")
polygon(x=c(JohnsonSocialGraphing$step, rev(JohnsonSocialGraphing$step)),
        y = c(JohnsonSocialGraphing$coirflo, rev(JohnsonSocialGraphing$coirfhi)),
        col=rgb(0,.25,1,.25), border=NA)
mtext("Quarter", side=1,line=3,cex=1)
axis(1, at=c(0,4,8,12,16,20))
axis(2, at=c(-10,0,10))
abline(h =0, untf = FALSE, col="black")

    

par(mai=c(0.4,0.2,0.2,0.2))
plot(c(0,20),c(-20,20),type="n",yaxt="n",xaxt="n", xlab="", ylab="")
lines(KennedySocialGraphing$step,KennedySocialGraphing$coirf,type="l",lty=2,col="blue")
polygon(x=c(KennedySocialGraphing$step, rev(KennedySocialGraphing$step)),
        y = c(KennedySocialGraphing$coirflo, rev(KennedySocialGraphing$coirfhi)),
        col=rgb(0,.25,1,.25), border=NA)
mtext("Quarter", side=1,line=3,cex=1)
axis(1, at=c(0,4,8,12,16,20))
axis(2, at=c(-10,0,10))
abline(h =0, untf = FALSE, col="black")


 
par(mai=c(0.4,0.2,0.2,0.2))
plot(c(0,20),c(-20,20),type="n",yaxt="n",xaxt="n", xlab="", ylab="")
lines(TrumanSocialGraphing$step,TrumanSocialGraphing$coirf,type="l",lty=2,col="blue")
polygon(x=c(TrumanSocialGraphing$step, rev(TrumanSocialGraphing$step)),
        y = c(TrumanSocialGraphing$coirflo, rev(TrumanSocialGraphing$coirfhi)),
        col=rgb(0,.25,1,.25), border=NA)
mtext("Quarter", side=1,line=3,cex=1)
axis(1, at=c(0,4,8,12,16,20))
axis(2, at=c(-10,0,10))
abline(h =0, untf = FALSE, col="black")


    
par(mai=c(0.4,0.2,0.2,0.2))
plot(c(0,20),c(-20,20),type="n",yaxt="n",xaxt="n", xlab="", ylab="")
lines(ReaganSocialGraphing$step,ReaganSocialGraphing$coirf,type="l",lty=2,col="blue")
polygon(x=c(ReaganSocialGraphing$step, rev(ReaganSocialGraphing$step)),
        y = c(ReaganSocialGraphing$coirflo, rev(ReaganSocialGraphing$coirfhi)),
        col=rgb(0,.25,1,.25), border=NA)
mtext("Quarter", side=1,line=3,cex=1)
axis(1, at=c(0,4,8,12,16,20))
axis(2, at=c(-10,0,10))
abline(h =0, untf = FALSE, col="black")



    
}

par(op)








op <- par(mfrow = c(2,4), omi=c(.5,.5,.5,0))
{


par(mai=c(0.4,0.2,0.2,0.2))
plot(c(0,20),c(-2,2),type="n",yaxt="n",xaxt="n", xlab="", ylab="")
lines(JohnsonGDPGraphing$step,JohnsonGDPGraphing$oirf,type="l",lty=1,col="red")
polygon(x=c(JohnsonGDPGraphing$step, rev(JohnsonGDPGraphing$step)),
        y = c(JohnsonGDPGraphing$oirflo, rev(JohnsonGDPGraphing$oirfhi)),
        col=rgb(1,.25,0,.25), border=NA)
#mtext("Quarter", side=1,line=3,cex=1)
axis(1, at=c(0,4,8,12,16,20))
axis(2, at=c(-1,0,1))
abline(h =0, untf = FALSE, col="black")
mtext("Scenario 1", side=3,line=1,cex=1)


par(mai=c(0.4,0.2,0.2,0.2))
plot(c(0,20),c(-2,2),type="n",yaxt="n",xaxt="n", xlab="", ylab="")
lines(KennedyGDPGraphing$step,KennedyGDPGraphing$oirf,type="l",lty=1,col="red")
polygon(x=c(KennedyGDPGraphing$step, rev(KennedyGDPGraphing$step)),
        y = c(KennedyGDPGraphing$oirflo, rev(KennedyGDPGraphing$oirfhi)),
        col=rgb(1,.25,0,.25), border=NA)
#mtext("Quarter", side=1,line=3,cex=1)
axis(1, at=c(0,4,8,12,16,20))
axis(2, at=c(-1,0,1))
abline(h =0, untf = FALSE, col="black")
mtext("Scenario 2", side=3,line=1,cex=1)


    


par(mai=c(0.4,0.2,0.2,0.2))
plot(c(0,20),c(-2,2),type="n",yaxt="n",xaxt="n", xlab="", ylab="")
lines(TrumanGDPGraphing$step,TrumanGDPGraphing$oirf,type="l",lty=1,col="red")
polygon(x=c(TrumanGDPGraphing$step, rev(TrumanGDPGraphing$step)),
        y = c(TrumanGDPGraphing$oirflo, rev(TrumanGDPGraphing$oirfhi)),
        col=rgb(1,.25,0,.25), border=NA)
#mtext("Quarter", side=1,line=3,cex=1)
axis(1, at=c(0,4,8,12,16,20))
axis(2, at=c(-1,0,1))
abline(h =0, untf = FALSE, col="black")
mtext("Scenario 3", side=3,line=1,cex=1)

    
    
par(mai=c(0.4,0.2,0.2,0.2))
plot(c(0,20),c(-2,2),type="n",yaxt="n",xaxt="n", xlab="", ylab="")
lines(ReaganGDPGraphing$step,ReaganGDPGraphing$oirf,type="l",lty=1,col="red")
polygon(x=c(ReaganGDPGraphing$step, rev(ReaganGDPGraphing$step)),
        y = c(ReaganGDPGraphing$oirflo, rev(ReaganGDPGraphing$oirfhi)),
        col=rgb(1,.25,0,.25), border=NA)
#mtext("Quarter", side=1,line=3,cex=1)
axis(1, at=c(0,4,8,12,16,20))
axis(2, at=c(-1,0,1))
abline(h =0, untf = FALSE, col="black")
mtext("Scenario 4", side=3,line=1,cex=1)


par(mai=c(0.4,0.2,0.2,0.2))
plot(c(0,20),c(-25,25),type="n",yaxt="n",xaxt="n", xlab="", ylab="")
lines(JohnsonGDPGraphing$step,JohnsonGDPGraphing$coirf,type="l",lty=2,col="blue")
polygon(x=c(JohnsonGDPGraphing$step, rev(JohnsonGDPGraphing$step)),
        y = c(JohnsonGDPGraphing$coirflo, rev(JohnsonGDPGraphing$coirfhi)),
        col=rgb(0,.25,1,.25), border=NA)
mtext("Quarter", side=1,line=3,cex=1)
axis(1, at=c(0,4,8,12,16,20))
axis(2, at=c(-10,0,10))
abline(h =0, untf = FALSE, col="black")

par(mai=c(0.4,0.2,0.2,0.2))
plot(c(0,20),c(-25,25),type="n",yaxt="n",xaxt="n", xlab="", ylab="")
lines(KennedyGDPGraphing$step,KennedyGDPGraphing$coirf,type="l",lty=2,col="blue")
polygon(x=c(KennedyGDPGraphing$step, rev(KennedyGDPGraphing$step)),
        y = c(KennedyGDPGraphing$coirflo, rev(KennedyGDPGraphing$coirfhi)),
        col=rgb(0,.25,1,.25), border=NA)
mtext("Quarter", side=1,line=3,cex=1)
axis(1, at=c(0,4,8,12,16,20))
axis(2, at=c(-10,0,10))
abline(h =0, untf = FALSE, col="black")


    



par(mai=c(0.4,0.2,0.2,0.2))
plot(c(0,20),c(-25,25),type="n",yaxt="n",xaxt="n", xlab="", ylab="")
lines(TrumanGDPGraphing$step,TrumanGDPGraphing$coirf,type="l",lty=2,col="blue")
polygon(x=c(TrumanGDPGraphing$step, rev(TrumanGDPGraphing$step)),
        y = c(TrumanGDPGraphing$coirflo, rev(TrumanGDPGraphing$coirfhi)),
        col=rgb(0,.25,1,.25), border=NA)
mtext("Quarter", side=1,line=3,cex=1)
axis(1, at=c(0,4,8,12,16,20))
axis(2, at=c(-10,0,10))
abline(h =0, untf = FALSE, col="black")

    
    
par(mai=c(0.4,0.2,0.2,0.2))
plot(c(0,20),c(-25,25),type="n",yaxt="n",xaxt="n", xlab="", ylab="")
lines(ReaganGDPGraphing$step,ReaganGDPGraphing$coirf,type="l",lty=2,col="blue")
polygon(x=c(ReaganGDPGraphing$step, rev(ReaganGDPGraphing$step)),
        y = c(ReaganGDPGraphing$coirflo, rev(ReaganGDPGraphing$coirfhi)),
        col=rgb(0,.25,1,.25), border=NA)
mtext("Quarter", side=1,line=3,cex=1)
axis(1, at=c(0,4,8,12,16,20))
axis(2, at=c(-10,0,10))
abline(h =0, untf = FALSE, col="black")



    
}

par(op)

op <- par(usr=c(0,1,0,1), # Reset the coordinates
          xpd=NA)

legend(0.275,0.05, c("Quarterly Orthogonalized Impulse Response Function", "Cumulative Orthogonalized Impulse Response Function"), bty="n", cex=1,col=c("red","blue"),
        lty=c(1,2),ncol=1)



























