log using  "/Users/carterjt2/Dropbox/MilitarySpendingConsequences/FinalSubmission/Replication/Oatley_specification/VAR_specification_Oatley_IRFs.log", replace
#delimit ;
set more off ;
set matsize 800;

****************************************************************************;
*Author: Heather Ondercin                                                        ;
*Date: March 5, 2017                ;
*Purpose: Runs the first specification of the VAR: military spending, social benfits;
*spending, GDP, Debt, and Money Supply.  Values are in constant dollars. No *;
*exogenous variables *														*;
****************************************************************************;

use "/Users/carterjt2/Dropbox/MilitarySpendingConsequences/FinalSubmission/Replication/Data/MilitarySpendingConsequences_Quarterly.dta"; 

varsoc gr_milcon gr_socialben gr_moneycon gr_taxcon gr_debtcon gr_gdpcon  if year <2008, maxlag(16) exog(securityshock);



var gr_milcon gr_socialben gr_moneycon gr_taxcon gr_debtcon gr_gdpcon  if year <2008, lags(1/4) exog(securityshock);
estimates store VAROatley;

*Diagonostics*;
varlmar, mlag(10);
varnorm, jbera skewness kurtosis;
varstable;
 
**Setting the First specification*;
irf set "/Users/carterjt2/Dropbox/MilitarySpendingConsequences/FinalSubmission/Replication/Oatley_specification/model1OC.irf";
irf create Model1Johnson, replace step(20) order(gr_gdpcon gr_milcon gr_socialben gr_moneycon gr_debtcon gr_taxcon);
irf create Model1Reagan, replace step(20) order(gr_gdpcon gr_milcon gr_taxcon  gr_moneycon gr_debtcon gr_socialben);
irf create Model1Kennedy, replace step(20) order(gr_gdpcon gr_milcon gr_socialben gr_taxcon  gr_debtcon gr_moneycon);
irf create Model1Truman, replace step(20) order(gr_gdpcon gr_milcon gr_debtcon gr_moneycon  gr_taxcon gr_socialben);




** Creating Graphing Data  **;

use "/Users/carterjt2/Dropbox/MilitarySpendingConsequences/FinalSubmission/Replication/Oatley_specification/model1OC.irf", clear;

preserve;
keep if irfname == "Model1Johnson";
keep if impulse == "gr_milcon";
order  impulse response step oirf stdoirf coirf stdcoirf fevd stdfevd;
keep impulse response step oirf stdoirf coirf stdcoirf fevd stdfevd;
gen oirflo = oirf-(1.96*stdoirf);
gen oirfhi = oirf+(1.96*stdoirf);
gen coirflo = coirf-(1.96*stdcoirf);
gen coirfhi = coirf+(1.96*stdcoirf);
gen fevdlo = fevd-(1.96*stdfevd);
gen fevdhi = fevd+(1.96*stdfevd);
order  impulse response step oirf oirflo oirfhi coirf coirflo coirfhi fevd fevdlo fevdhi stdoirf stdfevd;
sort response step;
saveold "/Users/carterjt2/Dropbox/MilitarySpendingConsequences/FinalSubmission/Replication/Oatley_specification/Model1JohnsonGraphingVAR1C.dta", replace;
restore;

preserve;
keep if irfname == "Model1Reagan";
keep if impulse == "gr_milcon";
order  impulse response step oirf stdoirf coirf stdcoirf fevd stdfevd;
keep impulse response step oirf stdoirf coirf stdcoirf fevd stdfevd;
gen oirflo = oirf-(1.96*stdoirf);
gen oirfhi = oirf+(1.96*stdoirf);
gen coirflo = coirf-(1.96*stdcoirf);
gen coirfhi = coirf+(1.96*stdcoirf);
gen fevdlo = fevd-(1.96*stdfevd);
gen fevdhi = fevd+(1.96*stdfevd);
order  impulse response step oirf oirflo oirfhi coirf coirflo coirfhi fevd fevdlo fevdhi stdoirf stdfevd;
sort response step;
saveold "/Users/carterjt2/Dropbox/MilitarySpendingConsequences/FinalSubmission/Replication/Oatley_specification/Model1ReaganGraphingVAR1C.dta", replace;
restore;


preserve;
keep if irfname == "Model1Truman";
keep if impulse == "gr_milcon";
order  impulse response step oirf stdoirf coirf stdcoirf fevd stdfevd;
keep impulse response step oirf stdoirf coirf stdcoirf fevd stdfevd;
gen oirflo = oirf-(1.96*stdoirf);
gen oirfhi = oirf+(1.96*stdoirf);
gen coirflo = coirf-(1.96*stdcoirf);
gen coirfhi = coirf+(1.96*stdcoirf);
gen fevdlo = fevd-(1.96*stdfevd);
gen fevdhi = fevd+(1.96*stdfevd);
order  impulse response step oirf oirflo oirfhi coirf coirflo coirfhi fevd fevdlo fevdhi stdoirf stdfevd;
sort response step;
saveold "/Users/carterjt2/Dropbox/MilitarySpendingConsequences/FinalSubmission/Replication/Oatley_specification/Model1TrumanGraphingVAR1C.dta", replace;
restore;

preserve;
keep if irfname == "Model1Kennedy";
keep if impulse == "gr_milcon";
order  impulse response step oirf stdoirf coirf stdcoirf fevd stdfevd;
keep impulse response step oirf stdoirf coirf stdcoirf fevd stdfevd;
gen oirflo = oirf-(1.96*stdoirf);
gen oirfhi = oirf+(1.96*stdoirf);
gen coirflo = coirf-(1.96*stdcoirf);
gen coirfhi = coirf+(1.96*stdcoirf);
gen fevdlo = fevd-(1.96*stdfevd);
gen fevdhi = fevd+(1.96*stdfevd);
order  impulse response step oirf oirflo oirfhi coirf coirflo coirfhi fevd fevdlo fevdhi stdoirf stdfevd;
sort response step;
saveold "/Users/carterjt2/Dropbox/MilitarySpendingConsequences/FinalSubmission/Replication/Oatley_specification/Model1KennedyGraphingVAR1C.dta", replace;
restore;


** Creating Table **;
estout VAROatley, style(tex) cells(b(star fmt(3)) se(par fmt(3))) stats(N ll) unstack;

log close;



